會員的法律文件接受記錄,以及仍待處理的內容
GET
/v1/me/acceptances
const url = 'https://api.vimine.network/v1/me/acceptances?locale=it';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/me/acceptances?locale=it' \ --header 'Authorization: Bearer <token>'當事人記錄過的每一項接受、閱讀確認或同意(帳戶使用條款、隱私權聲明、協會給會員的隱私權聲明),最新的在前;另有 pending:當事人尚未針對其現行版本作出處理的帳戶層文件和本協會的隱私權聲明。全文:GET /v1/legal/{kind} 和 GET /v1/aps/{slug}/privacy-notice。
授權方式
章節「授權方式」參數
章節「參數」查詢參數
章節「查詢參數」locale
string
回應
章節「回應」200
章節「200」接受記錄和待處理的文件
媒體類型application/json
object
items
必填
Array<object>
object
at
必填
string 格式: date-time
action
必填
string
channel
string
kind
必填
string
title
string
version
必填
string
sha256
string
rendered_sha256
實際展示的文字的雜湊值
string
locale
string
association
該行為所涉及的協會(如有)
string
pending
必填
object
platform
範例
{ "items": [ { "action": "accepted", "channel": "ui" } ], "pending": { "platform": [ { "action": "accepted" } ], "privacy_notice": { "action": "accepted" } }}400
章節「400」請求無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章節「401」缺少憑證或憑證無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章節「403」不允許此操作
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章節「404」找不到
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章節「429」超出速率限制
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章節「500」內部錯誤
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}